﻿using Projekt_Calcan_Conze;
using Projekt_Calcan_Conze.Models;

string? filePath = null;

while (string.IsNullOrEmpty(filePath))
{
    Console.WriteLine("Bitte gib einen Dateipfad an:");
    filePath = Console.ReadLine();
}

if (filePath.StartsWith('\"'))
{
    filePath = filePath.Substring(startIndex: 1, length: filePath.Length - 1);
}

if (filePath.EndsWith('\"'))
{
    filePath = filePath.Substring(startIndex: 0, length: filePath.Length - 1);
}

string? customerId = null;

while (customerId is null)
{
    Console.WriteLine("Bitte gib eine Kundennummer an:");
    customerId = Console.ReadLine();
}

var (customers, protocol) = Import.For(filePath);

Console.WriteLine();
Console.WriteLine("Importierte Kunden:");

foreach (Customer customer in customers)
{
    Console.WriteLine(customer.ToString());
}

Console.WriteLine();
Console.WriteLine("Ungültige nicht importierte Zeilen/Kunden:");

foreach (string protocolLine in protocol)
{
    Console.WriteLine(protocolLine);
}
