﻿namespace Project_Calcan_Conze;

using MySql.Data;
using MySql.Data.MySqlClient;
using MySqlX.XDevAPI;
using System.Data.Common;
using System.Reflection.PortableExecutable;
using System.Xml;


MySql.Data.MySqlClient.MySqlConnection myConnection;
string myConnectionString;
//set the correct values for your server, user, password and database name
myConnectionString = "server=localhost;uid=root;pwd=root;database=vr_contact";

try
{
    myConnection = new MySql.Data.MySqlClient.MySqlConnection(myConnectionString);
    //open a connection
    myConnection.Open();

    // create a MySQL command and set the SQL statement with parameters
    MySqlCommand myCommand = new MySqlCommand();
    myCommand.Connection = myConnection;
    myCommand.CommandText = @"SELECT * FROM workshop WHERE maxParticipants = @code;";
    myCommand.Parameters.AddWithValue("@code", "12");

    // execute the command and read the results
    using MySqlDataReader myReader = myCommand.ExecuteReader();

    while (myReader.Read())
    {
        int id = myReader.GetInt32("maxParticipants");
        string name = myReader.GetString("title");
        Console.WriteLine(id + " " + name);
    }

    myConnection.Close();
}
catch (MySql.Data.MySqlClient.MySqlException ex)
{

}